package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.AidfTipoDAO;
import com.rjconsultores.ventaboletos.entidad.AidfTipo;

@Repository("aidfTipoDAO")
public class AidfTipoHibernateDAO extends GenericHibernateDAO<AidfTipo, Integer> implements AidfTipoDAO {

	@Autowired
	public AidfTipoHibernateDAO(
			@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}

	@Override
	public List<AidfTipo> obtenerTodos() {
		Criteria c = getSession().createCriteria(getPersistentClass());
		c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));

		return (List<AidfTipo>)c.list();
	}

}
